#include "partition.h"
#include<vector>
#include<iostream>
#include<algorithm>
using namespace std;

struct st_aux{
    long long a,ind;
};

vector<st_aux> aux;

bool cmp(st_aux a,st_aux b){
    return a.a<b.a;
}

vector<int> solve(vector<int> A) {
    int i,n=A.size();
    vector<int> rasp;rasp.clear();
    for(i=0;i<n/2-(n%2==0);i++){
        rasp.push_back(i);
    }
    rasp.push_back(n-1);
    for(i=n/2-(n%2==0);i<n-1;i++) rasp.push_back(i);
    return rasp;
}
